import * as zrUtil from 'zrender/esm/core/util';
import { TooltipRenderMode, ColorString } from './types';
import { Dictionary } from 'zrender/esm/core/types';
export declare function addCommas(x: string | number): string;
export declare function toCamelCase(str: string, upperCaseFirst?: boolean): string;
export declare const normalizeCssArray: typeof zrUtil.normalizeCssArray;
export declare function encodeHTML(source: string): string;
export declare function concatTooltipHtml(html: string, value: unknown, dontEncodeHtml?: boolean): string;
export interface TplFormatterParam extends Dictionary<any> {
    $vars: string[];
}
export declare function formatTpl(tpl: string, paramsList: TplFormatterParam | TplFormatterParam[], encode?: boolean): string;
export declare function formatTplSimple(tpl: string, param: Dictionary<any>, encode?: boolean): string;
interface RichTextTooltipMarker {
    renderMode: TooltipRenderMode;
    content: string;
    style: {
        color: ColorString;
        [key: string]: any;
    };
}
export declare type TooltipMarker = string | RichTextTooltipMarker;
interface GetTooltipMarkerOpt {
    color?: ColorString;
    extraCssText?: string;
    type?: 'item' | 'subItem';
    renderMode?: TooltipRenderMode;
    markerId?: string;
}
export declare function getTooltipMarker(color: ColorString, extraCssText?: string): TooltipMarker;
export declare function getTooltipMarker(opt: GetTooltipMarkerOpt): TooltipMarker;
export declare function formatTime(tpl: string, value: number | string | Date, isUTC?: boolean): string;
export declare function capitalFirst(str: string): string;
export { truncateText } from 'zrender/esm/graphic/helper/parseText';
export declare function windowOpen(link: string, target: string): void;
export { getTextRect } from '../legacy/getTextRect';
